Description

Related to:

https://tracker.ceph.com/issues/24573

After the New Landing Page implementation,

we can add here all the suggested improvements to the landing Page

and we should discuss about the following:

Implement "Data Health" card when this issue is completed:

https://tracker.ceph.com/issues/27049

Suitability (or not) of having "PG Status" card in parallel with "Data Health",

showing (or not) info about PGs (is customer only interested in data, not PGs?).

Layout changes:

- Move cards "Data Health / PG Status" to "Status" group (health)?

- Upgrade to Bootstrap 4?

Define, if necessary, a color scheme for Landing Page charts (or whole dashboard?)

and implement a clean solution.

Any other topic requiring attention.

Subtasks:

Subtask # 37283: mgr/dashboard: improve info shown in mgr info card Resolved

Bug # 37371: mgr/dashboards: add permission check for showing "Logs" links in Landing P... Closed

Bug # 37401: mgr/dashboard: chart slice hiding is not remembered Resolved

Related issues:

Related to mgr - Feature #24573: mgr/dashboard: Provide more "native" dashboa... Resolved 07/05/2018

Related to mgr - Feature #27049: mgr/dashboard: retrieve "Data Health" info f... New 08/22/2018

Related to mgr - Feature #27047: mgr/dashboard: Landing Page - Set visibility... Resolved 08/22/2018

Related to mgr - Feature #27220: mgr/dashboard: Increase test coverage for co... Closed 08/24/2018

Related to mgr - Feature #24571: mgr/dashboard: Move Cluster/Audit logs from ... Resolved 06/19/2018

Related to mgr - Cleanup #35691: mgr/dashboard: Proposed Landing Page Resolved 09/05/2018

History

#1 - 08/22/2018 10:22 AM - Alfonso MH

- Related to Feature #24573: mgr/dashboard: Provide more "native" dashboard widgets to display live performance data added

#2 - 08/22/2018 10:22 AM - Alfonso MH

- Related to Feature #27049: mgr/dashboard: retrieve "Data Health" info from dashboard backend added

#3 - 08/22/2018 10:23 AM - Alfonso MH
- Related to Feature #27047: mgr/dashboard: Landing Page - Set visibility of cards depending on the user's role added

#4 - 08/22/2018 10:25 AM - Alfonso MH

- Description updated

#5 - 08/22/2018 10:25 AM - Alfonso MH

- Description updated

#6 - 08/24/2018 09:44 AM - Volker Theile

- File Auswahl_001.png added

- File Auswahl_002.png added

- File Auswahl_003.png added

The font size of the info-group should be set to 21px (regardless of the view size) 

to fit into the look and feel of the rest of the UI, e.g.

 

The font size of the info-card must have a max. size, otherwise it gets too big 
#7 - 08/24/2018 09:57 AM - Lenz Grimmer

- Subject changed from mgr/dashboard: Landing Page Roadmap to mgr/dashboard: Landing Page Enhancements

- Category set to dashboard/general

- Target version set to v14.0.0

#8 - 08/24/2018 02:23 PM - Alfonso MH

- Related to Feature #27220: mgr/dashboard: Increase test coverage for components of New Landing Page added

#9 - 08/24/2018 03:12 PM - Ju Lim

- File mouse over and clickable values in dashboard card.png added

Some styling recommendations for the landing page -- see mockups in next comment.

- Change background color to gray (#F5F5F5)

- Change dropdown (menu) arrows to white (#FFFFFF)

- Change cards background to white (#FFFFFF)

For any card with any mouse-over/hover treatment, can we show an always-present border (#EFEFEF) around each clickable value which then fills-in

on hover:

- Hover border (#D1D1D1) -- see screenshot below

- Hover fill (#F3F3F3) -- see 2nd OSDs card example where the "2 out" is filled when user hovers over the value

For strings with multiple clickable areas, can we remove commas from between the values that are hyperlinked for better readability.

See screenshot example below:

 mouse%20over%20and%20clickable%20values%20in%20dashboard%20card.png 

#10 - 08/24/2018 03:25 PM - Alfonso MH

- Related to Feature #24571: mgr/dashboard: Move Cluster/Audit logs from front page to dedicated "Logs" page added
#11 - 08/24/2018 03:25 PM - Ju Lim

- File ceph_dash_1_border_nopunct.png added

- File Screen Shot 2018-05-31 at 8.23.23 AM.png added

These are mockups for styling suggestions mentioned in my previous comment:

(1) Landing Page - overall styling - card and page background color changes example

 ceph_dash_1_border_nopunct.png 

(2) What would that same grey look like in a different page of Ceph Dashboard

 Other%20Page%20View.png 

#12 - 08/24/2018 03:27 PM - Ju Lim

- File deleted (Screen Shot 2018-05-31 at 8.23.23 AM.png)

#13 - 08/24/2018 03:30 PM - Ju Lim

- File Other Page View.png added

#14 - 09/19/2018 07:24 PM - Ju Lim

There's another Ceph tracker that was created with similar styling recommendations but for some reason we didn't go back update this one.  See 

https://tracker.ceph.com/issues/35691.

#15 - 09/19/2018 07:34 PM - Ju Lim

- Related to Cleanup #35691: mgr/dashboard: Proposed Landing Page added

#16 - 09/19/2018 07:35 PM - Ju Lim

- Related to Cleanup #35691: mgr/dashboard: Proposed Landing Page added

#17 - 09/19/2018 07:35 PM - Ju Lim

- Related to deleted (Cleanup #35691: mgr/dashboard: Proposed Landing Page)

#18 - 09/20/2018 10:26 AM - Patrick Nawracay

Ju Lim wrote:

Some styling recommendations for the landing page -- see mockups in next comment.

- Change background color to gray (#F5F5F5)

- Change dropdown (menu) arrows to white (#FFFFFF)

- Change cards background to white (#FFFFFF)

For any card with any mouse-over/hover treatment, can we show an always-present border (#EFEFEF) around each clickable value which then

fills-in on hover:

- Hover border (#D1D1D1) -- see screenshot below

- Hover fill (#F3F3F3) -- see 2nd OSDs card example where the "2 out" is filled when user hovers over the value

For strings with multiple clickable areas, can we remove commas from between the values that are hyperlinked for better readability.

See screenshot example below:

 mouse%20over%20and%20clickable%20values%20in%20dashboard%20card.png 

 

We talked about this proposal internally and nobody raised any concerns or objections. We like it.
#19 - 09/22/2018 05:16 AM - Kai Wagner

LGTM - Go ahead and we could add the little usability enhancements later on

#20 - 09/26/2018 11:43 AM - Kai Wagner

As discussed today I have two suggestions:

1.) The general font size of the widgets is to big from my perspective and completely different to the rest of the menu for example.

2.) I'm not able to zoom-in or zoom-out at the moment. If I do so only the menu font will be decreased or increased. Would love to have the possibility

to change the widget + font size by zooming as well.

Thanks,

Kai

#21 - 09/28/2018 10:45 AM - Alfonso MH

- File landing-page-milestone2-2018-09-28.png added

#22 - 09/28/2018 10:50 AM - Alfonso MH

 landing-page-milestone2-2018-09-28.png 

Milestone 2

Work done:

Changed background color to gray.

Changed cards' background color to white.

Changed navigation menu dropdown arrows' color to white.

Changed card font size to fluid: from 12px to 21px

for screen range: 320px -- 2048px (2K) (fixes: zoom in/out).

Info Group Title: fixed font size: 21px. Removed underline.

OSD card: info breakdown in 2/3 lines for huge OSDs amount.

Cluster Status card: added style for clickable element

with mouse hover behaviour.

All cards (except logs) viewable (at-a-glance) without scrolling in 1920x1080 (Full HD) presentation mode.

Improved perf./capacity cards layout for 1366x768 (HD resolution).
#23 - 10/01/2018 12:20 PM - Lenz Grimmer

- Status changed from New to Need Review

#24 - 10/01/2018 12:20 PM - Lenz Grimmer

- Assignee set to Alfonso MH

#25 - 10/08/2018 10:14 AM - Ricardo Marques

- Status changed from Need Review to Resolved

Files

Auswahl_001.png 27.7 KB 08/24/2018 Volker Theile

Auswahl_002.png 32.1 KB 08/24/2018 Volker Theile

Auswahl_003.png 31.4 KB 08/24/2018 Volker Theile

mouse over and clickable values in dashboard card.png 84.2 KB 08/24/2018 Ju Lim
